Broke my client installing an expansion. How do I update?

Post Reply
aceover9
Posts: 31
Joined: Tue May 02, 2017 10:38 pm

Broke my client installing an expansion. How do I update?

Post by aceover9 » Tue Jul 18, 2017 6:51 am

So the instructions to install FFXI didn't mention the Seekers Of Adoulin expansion so I didn't. I wanted to get access to the final two advanced jobs that were added in Seekers (wasn't sure if I needed the expansion to do so) so I decided to try to add the expansion to one of my client installs after confirming it would be OK to do so.

So I ran the installer. Game stopped booting. Found out I needed to update again so I did that. Now the game boots but I get the FFXI-3331 error. From what I hear this is the error that pops when your versions don't match.

Now I'm in a bind. My goal is to simply get access to those final two jobs. I'm either looking at updating the server to the new version which I don't know how to do and then updating EVERY client and having other people on the server do the same or I need to find a way to roll back the version of the client or at least tell the client to display a different version number so the game doesn't trip.

I'd much rather either downgrade the client or do something so that it throws a different version number.

Also, do I need Seekers to even get the last two advanced jobs? Are any jobs exclusive to that expansion?


*Edit: I actually just tried changing the version.info server version number to the one that's displayed on the client I updated and I still got the same error so now I'm really confused. On top of that the version number in the version.info file does not match the current version number on my non-updated clients. I'm checking the version number on the "check files" screen in the playonline viewer. Should I be checking it on the actual squaresoft playonline viewer or the windower version?

*Edit 2: Duh, I should probably restart the server before trying to see if the version number change works. I'll try that as soon as I get a chance. Any info is still appreciated.

Any suggestions? Thanks.

User avatar
whasf
Site Admin
Posts: 1310
Joined: Thu Jul 19, 2012 9:11 pm

Re: Broke my client installing an expansion. How do I update

Post by whasf » Tue Jul 18, 2017 6:24 pm

If you change the version.info file, you need to restart the connect server for it to re-read it.

If you want to "hack" the connect server to allow any version to connect, open src/login/lobby.cpp and comment out lines 469-486 and rebuild the connect server. Beware that you will mostly likely experience weird client issues since your client data won't match the server data.

If you can figure out how to roll back to a specific client version, let us know. We haven't figured it out yet :)
-- Whasf

aceover9
Posts: 31
Joined: Tue May 02, 2017 10:38 pm

Re: Broke my client installing an expansion. How do I update

Post by aceover9 » Wed Jul 19, 2017 12:16 am

Awesome. That's amazing info. Thanks. I'll use the version hack as a last resort.


So since I got a new version now do I need to update the server and if so how do I do that? Do I need to make it all again from scratch? Actually, I think someone told me how to do it somewhere else on the board here. Something about github and forking. But that may have been something about setting up for an easier update method or something.

aceover9
Posts: 31
Joined: Tue May 02, 2017 10:38 pm

Re: Broke my client installing an expansion. How do I update

Post by aceover9 » Wed Aug 02, 2017 3:14 am

Random question: What do you mean by "rebuild" the connect server? That's obviously different than restart. Just want to make sure I understand. Thanks!

CTOON50
Posts: 9
Joined: Fri Apr 14, 2017 9:22 pm

Re: Broke my client installing an expansion. How do I update

Post by CTOON50 » Wed Aug 02, 2017 7:29 am

Ignore the errors and the unavailable in my project, currently have a problem with visual studio and will have to fix it later. It is essentially like building the servers for the first time, just click rebuild instead. Rebuild all the servers to avoid any possible errors down the road.

Image

User avatar
TeoTwawki
Developer
Posts: 527
Joined: Mon Jul 15, 2013 9:50 pm

Re: Broke my client installing an expansion. How do I update

Post by TeoTwawki » Wed Aug 02, 2017 4:46 pm

You don't normally have to rebuild to update the server. VS is incremental build capable. Occasionally a full rebuild is needed, but not often. version.info can be changed without a rebuild, just restart lobby.
*Edit: I actually just tried changing the version.info server version number to the one that's displayed on the client I updated and I still got the same error so now I'm really confused. On top of that the version number in the version.info file does not match the current version number on my non-updated clients. I'm checking the version number on the "check files" screen in the playonline viewer. Should I be checking it on the actual squaresoft playonline viewer or the windower version?
The actual squaresoft playonline viewer. If you at all get an installer popping up from trying to file check, simply cancel it. It won't effect anything, unless you let it run. Just cancel it. :) It has to find a problem, so delete /rom/0/0.dat other wise you aren't going to trigger an update you will just get a file check that says nothing is wrong. Not all files will be detected by this check so you can't delete just any file, and that oen is known to always get checked. Anyone who tells you they deleted 0.dat and it didn't update did something wrong and is the sort to insist their problem isn't their own fault when it very definitely was.

That process will always put the client on the very latest available version if properly run. If and only if the server's version.info is older than the new client version is, you will then need to edit version.info and accept a few minor bugs: the occasionally test string offset wrong, some NPC's with wrong names, possible a cs or 2 that freeze or crash the client. Lately most zones get so few updates this hasn't been a major problem. These bugs get resolved when we update on github.

It is also possible to make a minor hack in the lobby code to stop enforcing a single specific client version. This used to actually be a "minimum version" instead of 1 version at a time. Its been popular to change it back to that or disable the check completely. The reason it is what it is now is we kept getting bug reports that were simply people on wrong client versions.
Hi, I run The Demiurge server.


Image
Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live. - Martin Golding
PLS USE [ code ] CODE TAGS [ /code ] WHEN POSTING CODE
DO NOT PRIVATE MESSAGE ME ABOUT BUGS

aceover9
Posts: 31
Joined: Tue May 02, 2017 10:38 pm

Re: Broke my client installing an expansion. How do I update

Post by aceover9 » Mon Aug 07, 2017 3:09 am

Thanks for the info, guys.

So I don't need to rebuild. Just "restart lobby" as in restart the servers? Or is restarting the lobby something I need to do in Visual Studio? (Hopefully not as my trial has expired....)

Post Reply